package cn.newfeifan.mall.module.bpm.convert.definition;

import cn.newfeifan.mall.module.bpm.controller.admin.definition.vo.form.BpmFormCreateReqVO;
import cn.newfeifan.mall.module.bpm.controller.admin.definition.vo.form.BpmFormRespVO;
import cn.newfeifan.mall.module.bpm.controller.admin.definition.vo.form.BpmFormSimpleRespVO;
import cn.newfeifan.mall.module.bpm.controller.admin.definition.vo.form.BpmFormUpdateReqVO;
import cn.newfeifan.mall.module.bpm.dal.dataobject.definition.BpmFormDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 动态表单 Convert
 *
 * @author 非繁人
 */
@Mapper
public interface BpmFormConvert {

    BpmFormConvert INSTANCE = Mappers.getMapper(BpmFormConvert.class);

    BpmFormDO convert(BpmFormCreateReqVO bean);

    BpmFormDO convert(BpmFormUpdateReqVO bean);

    BpmFormRespVO convert(BpmFormDO bean);

    List<BpmFormSimpleRespVO> convertList2(List<BpmFormDO> list);

    PageResult<BpmFormRespVO> convertPage(PageResult<BpmFormDO> page);

}
