package cn.newfeifan.mall.module.distri.constant;

import java.math.BigDecimal;

public class DistriConstants {
    // ========== 分销信息商户信息 1-002-029-000 ==========
    public static final Integer PERCENT = 10000;//积分数据库中的值，比页面显示的值，大了此倍数

    public static final Integer INTEGRAL_PAGE2DB = PERCENT*100;//积分数据库中的值，比页面显示的值，大了此倍数

    public static final Integer ONE_HUNDRED = 100;

    // 数据库中，积分比金钱大的倍数，即钱转成积分要乘于此参数
    public static final Integer MONEY2INTEGRAL = PERCENT;

    // MONEY2INTEGRAL的BigDecimal版本
    public static final BigDecimal MONEY2INTEGRAL_BIG_DECIMAL = new BigDecimal(Integer.parseInt(MONEY2INTEGRAL.toString()));

    public static final Double ONE = 1d;
    public static final Long PT_ID = 1L;

    public static final Boolean IS_EFFECTIVE  = true;

    //将身价参数存在redis中的前缀
    public static final String DISTRI_ORDER_PERCENTAGE  = "distri:orderPercentage";

    //默认的签到天数
    public static final int DEFAULT_DAY = 0;

    //每次签到加的天数
    public static final int ONE_DAY = 1;

}
