package cn.newfeifan.mall.module.distri.controller.admin.source.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 分销来源 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SourceRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "12844")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "来源名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @ExcelProperty("来源名称")
    private String name;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}