package cn.newfeifan.mall.module.distri.controller.app.sharelink.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;


@Schema(description = "管理后台 - 分享链接分页 Request VO")
@Data
@ToString(callSuper = true)
public class AppShareLinkReqVO {

    @Schema(description = "分享链接类型编码：1.商城，2.店铺，3.商品")
    private Integer category;

    @Schema(description = "链接对应业务对象id：如果“链接类型”是3=商品，这个id就是商品的spu表的id，即product_spu.id值。", example = "22758")
    private Long objectId;

}