package cn.newfeifan.mall.module.distri.dal.dataobject.socialstatuschangecategory;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 会员身价变化类别 DO
 *
 * @author 非繁人
 */
@TableName("distri_social_status_change_category")
@KeySequence("distri_social_status_change_category_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SocialStatusChangeCategoryDO extends BaseDO {

    /**
     * 会员身价变化类别id
     */
    @TableId
    private Long id;
    /**
     * 类别名称
     */
    private String name;
    /**
     * 类别码
     */
    private Integer code;
    /**
     * 身价点数在本类别操作的变化值
     */
    private Integer variationValue;
    /**
     * 描述
     */
    private String description;

}