package cn.newfeifan.mall.module.distri.dal.dataobject.usercollectbefore;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户曾经收藏过什么商品的 DO
 *
 * @author 非繁人
 */
@TableName("distri_user_collect_before")
@KeySequence("distri_user_collect_before_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserCollectBeforeDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 收藏商品spu的id
     */
    private Long productSpuId;
    /**
     * 收藏商品的用户ID
     */
    private Long userId;

}