package cn.newfeifan.mall.module.promotion.controller.app.article.vo.article;

import cn.newfeifan.mall.module.promotion.dal.dataobject.article.ArticleDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;
import lombok.ToString;

import java.util.List;

@Schema(description = "管理后台 - 首页文章 Response VO")
@Data
@ToString(callSuper = true)
@Builder
public class HomeArticleRespVO {
    @Schema(description = "轮播图文章列表")
    private List<ArticleDO> slideshowArticleList;
    @Schema(description = "公告")
    private ArticleDO announcement;
    @Schema(description = "平台简介")
    private ArticleDO ptBriefIntroduction;
    @Schema(description = "行业简介")
    private ArticleDO industryIntroduction;
    @Schema(description = "动态新闻")
    private ArticleDO dynamicNews;
}