package cn.newfeifan.mall.module.trade.framework.web.config;

import cn.newfeifan.mall.framework.swagger.config.FeifanSwaggerAutoConfiguration;
import org.springdoc.core.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * trade 模块的 web 组件的 Configuration
 *
 * @author 非繁源码
 */
@Configuration(proxyBeanMethods = false)
public class TradeWebConfiguration {

    /**
     * trade 模块的 API 分组
     */
    @Bean
    public GroupedOpenApi tradeGroupedOpenApi() {
        return FeifanSwaggerAutoConfiguration.buildGroupedOpenApi("trade");
    }

}
