package cn.newfeifan.mall.module.trade.mq.consumer.order;

import cn.newfeifan.mall.module.trade.service.order.TradeOrderUpdateService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class OrderConsumer {

    @Resource
    private TradeOrderUpdateService tradeOrderUpdateService;

    @EventListener
    public void onMessage(Long payOrderId) {
        //修改订单状态，并计算权益
        tradeOrderUpdateService.updateOrderPaid(payOrderId);
    }
}
