package cn.newfeifan.mall.module.trade.utils.push.pojo;

import lombok.Data;

import java.util.Map;

/**
 * 自定义消息
 */

@Data
public class Message {
    /**
     * 消息内容本身
     * 必填
     */
    private String msg_content;
    /**
     * 消息标题
     * 可选
     */
    private String title;
    /**
     * 消息内容类型，开发者可根据自身业务定义具体类型。
     * 可选
     */
    private String content_type;
    /**
     * JSON 格式的可选参数
     * 可选
     */
    private Map<String, String> extras;
}