package cn.newfeifan.mall.module.member.enums;

import java.util.regex.Pattern;

/**
 * Member 字典类型的枚举类
 *
 * @author owen
 */
public interface DictTypeConstants {

    /**
     * 会员经验记录 - 业务类型
     */
    String MEMBER_EXPERIENCE_BIZ_TYPE = "member_experience_biz_type";

    //将身价参数存在redis中的前缀
    String DISTRI_ORDER_PERCENTAGE  = "distri:orderPercentage";

    //默认头像
    String DEFAULT_AVATAR = "https://pt.letcgo.com/admin-api/infra/file/23/get/f9deb6a0e38c17d3d416da8b5285412dee1360e53e5b094f9397094be4252e66.png";

    Long MOBILE_REGISTER_MAX = 10L;

    Pattern PHONE_NUMBER_PATTERN = Pattern.compile("^1[3-9]\\d{9}$");

    String EMAIL_PATTERN = "^[A-Z0-9._%+-]+@[A-Z0-9.-]+\\.[A-Z]{2,6}$";
    Pattern PATTERN = Pattern.compile(EMAIL_PATTERN, Pattern.CASE_INSENSITIVE);

}
