package cn.newfeifan.mall.module.member.controller.app.auth.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@Schema(description = "用户 APP - 用户微信登录后可以选择微信绑定的账号登录")
public class AppAuthSelectUsernameLoginReqVO {
    @Schema(description = "openId", requiredMode = Schema.RequiredMode.REQUIRED, example = "nice")
    @NotNull(message = "openId不能为空")
    private String openId;

    @Schema(description = "用户名", requiredMode = Schema.RequiredMode.REQUIRED, example = "nice")
    @NotNull(message = "用户名不能为空")
    private String username;
}
