package cn.newfeifan.mall.module.member.controller.app.auth.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.Valid;

@Schema(description = "用户 APP - 社交登录验证短信码请求参数")
@Data
public class SocialLoginValidateSmsCodeReqVO {
    /**
     * 验证短信码的请求信息
     * 该字段包含了进行短信验证码验证所需的请求参数。
     */
    @Valid
    private AppAuthSmsValidateReqVO reqVO;

    /**
     * 社交登录请求信息
     * 该字段包含了社交登录所需的请求参数。
     */
    @Valid
    private AppAuthSocialRegisterReqVO registerReqVO;

}