package cn.newfeifan.mall.module.member.controller.app.signin.vo.record;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AppMemberSignInConfigMoonRespVO {

    /**
     * 签到规则
     */
    private List<Days> days;
    /**
     * 连续签到的天数
     */
    private int continueDays;

    private Rules rules;

    /**
     * 签到获取的固定身价
     */
    private String signInSocialStatus;

}
