package cn.newfeifan.mall.module.member.controller.app.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "用户 APP - 修改支付宝账号 Request VO")
@Data
public class AppMemberUserUpdateAlipayAccountReqVO {

    @Schema(description = "支付宝认证名称")
    @NotNull(message = "支付宝认证名称不能为空")
    @NotEmpty(message = "支付宝认证名称不能为空")
    private String alipayName;

    @Schema(description = "支付宝账号")
    @NotNull(message = "支付宝账号不能为空")
    @NotEmpty(message = "支付宝账号不能为空")
    private String alipayAccount;

}
