package cn.newfeifan.mall.framework.file.config;

import cn.newfeifan.mall.framework.file.core.client.FileClientFactory;
import cn.newfeifan.mall.framework.file.core.client.FileClientFactoryImpl;
import org.springframework.boot.autoconfigure.AutoConfiguration;
import org.springframework.context.annotation.Bean;

/**
 * 文件配置类
 *
 * @author 非繁源码
 */
@AutoConfiguration
public class FeifanFileAutoConfiguration {

    @Bean
    public FileClientFactory fileClientFactory() {
        return new FileClientFactoryImpl();
    }

}
