package cn.newfeifan.mall.module.distri.controller.admin.partitioncrash.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@Schema(description = "管理后台 - 分区碰撞新增/修改 Request VO")
@Data
public class PartitionCrashSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "15914")
    private Long id;

    @Schema(description = "用户ID", example = "15393")
    private Long userId;

    @Schema(description = "分区编号")
    private String partNo;

    @Schema(description = "兄弟分区额度", example = "12349")
    private Long brotherPrice;

    @Schema(description = "子分区额度", example = "30462")
    private Long sonPrice;

    @Schema(description = "碰撞后额度")
    private Long afterHitQuota;

}