package cn.newfeifan.mall.module.distri.controller.admin.source.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 分销来源新增/修改 Request VO")
@Data
public class SourceSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "12844")
    private Long id;

    @Schema(description = "来源名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @NotEmpty(message = "来源名称不能为空")
    private String name;

}