package cn.newfeifan.mall.module.distri.controller.app.orderpercentage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 积分相关计算浮动百分比设置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OrderPercentageRespVO {
    @Schema(description = "充值消费分的倍率")
    @ExcelProperty("充值消费分的倍率")
    private String consumptionMagnification;

    @Schema(description = "提现消费分百分比")
    @ExcelProperty("提现消费分百分比")
    private String withdrawConsumption;

    @Schema(description = "提现佣金百分比")
    @ExcelProperty("提现佣金百分比")
    private String withdrawCommission;

    @Schema(description = "用户充值消费分的额度")
    @ExcelProperty("用户充值消费分的额度")
    private String userTopUpConsumptionPoints;

    @Schema(description = "触发倍率的最低金额")
    @ExcelProperty("触发倍率的最低金额")
    private String triggerMagnificationPoints;
}