package cn.newfeifan.mall.module.distri.controller.app.sharepath.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;
import cn.newfeifan.mall.framework.common.pojo.PageResult;


@Schema(description = "用户 APP - 分销用户关系 Response VO")
@Data
@Builder
public class AppSharePathRespVO {
    @Schema(description = "团队总数")
    private Long teamCount;

    @Schema(description = "推荐人")
    private SharePathRespVO ancestor;

    @Schema(description = "团队成员")
    private PageResult<SharePathRespVO> descendants;
}
