package cn.newfeifan.mall.module.distri.controller.app.sharepath.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Schema(description = "用户 APP - 分销用户关系树 Request VO")
@Data
@ToString(callSuper = true)
public class SharePathTreeReqVO {
    @Schema(description = "名称")
    private String name;

    @Schema(description = "电话")
    private String mobile;

    @Schema(description = "最小层级")
    @NotNull(message = "最小层级不能为空")
    private Integer minDepth;

    @Schema(description = "最大层级")
    @NotNull(message = "最大层级不能为空")
    private Integer maxDepth;
}
