package cn.newfeifan.mall.module.distri.controller.app.usercollectbefore.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 用户曾经收藏过什么商品的 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UserCollectBeforeRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "29044")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "收藏商品spu的id", requiredMode = Schema.RequiredMode.REQUIRED, example = "6474")
    @ExcelProperty("收藏商品spu的id")
    private Long productSpuId;

    @Schema(description = "收藏商品的用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "25194")
    @ExcelProperty("收藏商品的用户ID")
    private Long userId;

    @Schema(description = "操作时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("操作时间")
    private LocalDateTime createTime;

}