package cn.newfeifan.mall.module.distri.mq.message.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistriOrderMessage {


    /**
     * 总价
     */
    private Integer totalPrice;

    /**
     * 单价
     */
    private Integer price;

    /**
     * 购买数量
     */
    private Integer productCount;

    private String name;
    private String nickName;


    /**
     * 成本价
     */
    private Integer costPrice;


    /**
     * 订单编号
     */
    private String no;

    /**
     * 下单用户
     */
    private Long userId;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 商户ID
     */
    private Long merchantId;
    /**
     * 订单ID
     */
    private Long orderId;

}
