package cn.newfeifan.mall.module.trade.enums;

// TODO @非繁人：枚举

import java.util.Arrays;

/**
 * 通知模板枚举类
 *
 * @author HUIHUI
 */
public interface MessageTemplateConstants {

    String ORDER_DELIVERY = "order_delivery"; // 短信模版编号

    String BROKERAGE_WITHDRAW_AUDIT_APPROVE = "brokerage_withdraw_audit_approve"; // 佣金提现（审核通过）
    String BROKERAGE_WITHDRAW_AUDIT_REJECT = "brokerage_withdraw_audit_reject"; // 佣金提现（审核不通过）

    /**
     * 售后订单待审核通知需要的权限
     */
    String[] AFTER_SALE_NO_CHECK_List = Arrays.asList("trade:after-sale:query", "trade:after-sale:agree", "trade:after-sale:disagree"
            , "trade:after-sale:receive", "trade:after-sale:receive", "trade:after-sale:refund").toArray(new String[0]);

    /**
     * 订单待发货通知需要的权限
     */
    String[] ORDER_NO_DELIVERY_List = Arrays.asList("trade:order:query", "trade:order:update", "trade:order:pick-up").toArray(new String[0]);

    /**
     * 入驻审核通知需要的权限
     */
    String[] MERCHANT_APPLY_CHECK_LIST = Arrays.asList("sale:merchant-apply:query", "sale:merchant-apply:update").toArray(new String[0]);

}
