package cn.newfeifan.mall.module.trade.controller.admin.base.member.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 会员用户 Response VO")
@Data
public class MemberUserRespVO {

    @Schema(description = "用户 ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "用户昵称", requiredMode = Schema.RequiredMode.REQUIRED, example = "非繁源码")
    private String nickname;

    @Schema(description = "用户头像", example = "https://www.zhongxing.cn/xxx.png")
    private String avatar;

}
