package cn.newfeifan.mall.module.member.message.share;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 直推人与平台确定关系
 *
 * @author owen
 */
@Data
public class SharePathCreateMessage {

    /**
     * 直推人编号
     */
    @NotNull(message = "直推人不能为空")
    private Long descendant;

    /**
     * 推荐链接编号
     */
    private Long linkId;

}
