package cn.newfeifan.mall.module.member.controller.app.auth.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@Schema(description = "用户 APP - 微信下的用户 Response VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AppAuthMemberUserRespVO {
    @Schema(description = "用户名", example = "张三")
    private String username;
    @Schema(description = "头像", example = "https://www.iocoder.cn/xxx.jpg")
    private String avatar;
}
