package cn.newfeifan.mall.module.pay.framework.web.config;

import cn.newfeifan.mall.framework.swagger.config.FeifanSwaggerAutoConfiguration;
import org.springdoc.core.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * pay 模块的 web 组件的 Configuration
 *
 * @author 非繁源码
 */
@Configuration(proxyBeanMethods = false)
public class PayWebConfiguration {

    /**
     * pay 模块的 API 分组
     */
    @Bean
    public GroupedOpenApi payGroupedOpenApi() {
        return FeifanSwaggerAutoConfiguration.buildGroupedOpenApi("pay");
    }

}
