package cn.newfeifan.mall.module.system.controller.admin.config.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 系统配置新增/修改 Request VO")
@Data
public class ConfigSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "18615")
    private Long id;

    @Schema(description = "微信服务号appid", example = "31635")
    private String wechatAppid;

    @Schema(description = "微信服务号秘钥")
    private String wechatSecretKey;

    @Schema(description = "平台端协议+域名+端口")
    private String platformDomain;

    @Schema(description = "商户端协议+域名+端口")
    private String merchantDomain;

    @Schema(description = "移动商城端协议+域名+端口")
    private String mallDomain;

}