package cn.newfeifan.mall.module.system.controller.admin.wechatmsgtemplate.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 微信消息模板新增/修改 Request VO")
@Data
public class WechatMsgTemplateSaveReqVO {

    @Schema(description = "模板id，非自增，由开发人员编号，对应java中的常量", requiredMode = Schema.RequiredMode.REQUIRED, example = "13788")
    private Long id;

    @Schema(description = "微信消息模板id", example = "29466")
    private String wechatMsgTemplateId;

    @Schema(description = "备注、说明", example = "随便")
    private String remark;

    @Schema(description = "消息模板参数")
    private String messageTemplateParameters;

}